petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMCompositeGather

Gathers into a global packed vector from its individual local vectors

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGather(DM dm,Vec gvec,InsertMode imode,...)

Collective on DMComposite

### Input Parameter

| dm | - the packer object
| gvec | - the global vector
| imode | - INSERT_VALUES or ADD_VALUES
| Vec ... | - the individual sequential vectors, NULL for any that are not needed

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeScatter(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(), DMCompositeGetEntries()

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex21.c.html